Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040742
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformmajoralways2019-04-30 17:262019-05-07 11:15
ReportermalsasuaView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revisiond8689f27a689
ProjectionnoneETAnoneTarget Version3.0PR19Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2017-11-28
Regression introduced in release3.0PR18Q1
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/90ee5c965823996a7b4c0ae17d3a3ca71e3fc703 [^]
Triggers an Emergency PackNo
Summary

0040742: Records can not be exported to CSV

DescriptionIn grid view, if you filter by creation date, the export process to CSV is not working
Steps To Reproduce. go to Business Partner window
. in grid view, add column "Creation Date"
. filter by Creation Date (see screenshot attached)
. click in Export to Spreadsheet button
CSV file is downloaded but it is empty (see file attached)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040735 closedcaristu Records can not be exported to CSV 

-  Notes
(0111491)
hgbot (developer)
2019-05-06 10:10

Repository: erp/backports/3.0PR19Q2
Changeset: d8689f27a689fb1fed512dd020a6317f9de06341
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 06 10:09:03 2019 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR19Q2/rev/d8689f27a689fb1fed512dd020a6317f9de06341 [^]

fixes issue 40742: wrong export to CSV having the grid filtered by a date time

After the following changeset[1], exporting the grid to CSV was not working properly having the grid filtered by a date time column. Although the fix is correct, it caused the criteria sent to the datasource in this type of requests to stop being handled properly.

To avoid this problem, when exporting to CSV a grid filtered by a date time column we send in the criteria the plain date (in the same way as it is being done for the standard grid DS requests) and the datasource will take care of building the date filter properly through the AdvancedQueryBuilder.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
---
(0111531)
alostale (developer)
2019-05-07 11:15

reviewed + tested

- Issue History
Date Modified Username Field Change
2019-05-02 11:29 caristu Type defect => backport
2019-05-02 11:29 caristu Target Version => 3.0PR19Q2
2019-05-06 10:10 hgbot Checkin
2019-05-06 10:10 hgbot Note Added: 0111491
2019-05-06 10:10 hgbot Status scheduled => resolved
2019-05-06 10:10 hgbot Resolution open => fixed
2019-05-06 10:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR19Q2/rev/d8689f27a689fb1fed512dd020a6317f9de06341 [^]
2019-05-06 11:53 caristu Review Assigned To => alostale
2019-05-07 11:15 alostale Note Added: 0111531
2019-05-07 11:15 alostale Status resolved => closed
2019-05-07 11:15 alostale Fixed in Version => 3.0PR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker